
<div class="assignmentWrap">
  <div class="bredcum">
    <div class="menuTab pull-left">
      <ul>
        <li>
          <p  [ngClass]="{'active':router['url'] === '/mainDashBoard'}" class="completed">Start</p>
        </li>
        <li>
          <div class="das"></div>
        </li>
        <li>
          <p [ngClass]="{'active':router['url'] === '/createAssignment'}" >Design</p>
        </li>
        <li>
          <div class="das"></div>
        </li>
        <li>
          <p>Assign</p>
        </li>
        <li>
          <div class="das"></div>
        </li>
        <li>
          <p>Share</p>
        </li>
      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean download">
        Import/Convert ATA

      </button>
    </div>
  </div>
  <div class="titleBar">
    <!--   <h4 class="black">{{assignmentMenuDetails.assignmentOption.assignmentName}}- {{assignmentMenuDetails.assignmentOption.className}}</h4>-->

  </div>

  <!-- {{assignmentDetails|json}}-->
  <div class="contentCont">


    <div class="wid60">

      <div class="row">
        <form #Assignment="ngForm">


          <div class="wid33" [class.has-error]="assignmentStartDate.touched && assignmentStartDate.invalid">
            <label  >Start DATE<span class="alert-msg">*</span></label>
            <div class="datePicCont">
              <input class="small"  [owlDateTime]="fromDuration" name="assignmentStartDate"[(ngModel)]="assignmentDetails.assignmentStartDate"
                     required id="assignmentStartDate"    #assignmentStartDate="ngModel"   [owlDateTimeTrigger]="fromDuration" placeholder="From" >
              <owl-date-time [pickerType]="'calendar'" #fromDuration></owl-date-time>
            </div>
            <span class="alert-msg" *ngIf="assignmentStartDate.touched && assignmentStartDate.invalid"> Please select start date</span>
          </div>

          <div class="wid33" [class.has-error]="assignmentEndDate.touched && assignmentEndDate.invalid">
            <label >End DATE<span class="alert-msg">*</span></label>
            <div class="datePicCont">
              <input class="small"  [owlDateTime]="assignmentEndDate" name="assignmentEndDate"
                     [owlDateTimeTrigger]="assignmentEndDate" [(ngModel)]="assignmentDetails.assignmentEndDate" placeholder="From"
                     id="assignmentEndDate"  required  #assignmentEndDate="ngModel">
              <owl-date-time [pickerType]="'calendar'" #assignmentEndDate></owl-date-time>
            </div>
            <span class="alert-msg" *ngIf="assignmentEndDate.touched && assignmentEndDate.invalid">Please select end Date</span>

            <span class="alert-msg" *ngIf="assignmentMenuDetails.dateError">{{assignmentMenuDetails.dateError}}</span>
          </div>


          <div class="wid33" [class.has-error]="evaluationCompletionDate.touched && evaluationCompletionDate.invalid">
            <label >Evaluation DATE<span class="alert-msg">*</span></label>
            <div class="datePicCont">
              <input class="small"  [owlDateTime]="evaluationCompletionDate" name="evaluationCompletionDate"
                     [owlDateTimeTrigger]="evaluationCompletionDate" [(ngModel)]="assignmentDetails.evaluationCompletionDate" placeholder="From"
                     id="evaluationCompletionDate"  required  #evaluationCompletionDate="ngModel">
              <owl-date-time [pickerType]="'calendar'" #evaluationCompletionDate></owl-date-time>
            </div>
            <span class="alert-msg" *ngIf="evaluationCompletionDate.touched && evaluationCompletionDate.invalid">Please evaluaiton end Date</span>
          </div>

          <div class="row" [class.has-error]="description.touched && description.invalid">
            <label style="margin:20px 0 0"> REASON FOR ATA<span class="alert-msg">*</span></label>
            <textarea [(ngModel)]="assignmentDetails.description" required name=description id="description"
                      placeholder="e.g., This assignment is to evaluate (Please use appropriate keywords on reasons for the particular assignment)'"
                      #description="ngModel">Text</textarea>
            <span class="alert-msg" *ngIf="description.touched && description.invalid">
              please Enter Assignment Description
            </span>
            <span class="alert-msg" *ngIf="assignmentDespLengthError">{{assignmentDespLengthError}}</span>

          </div>
          <div class="cusmtrow">
            <div class="row">
              <div class="wid33" [class.has-error]="markByListValue.touched && markByListValue.invalid" >
                <label for="markByListValue">final mark by<span class="alert-msg">*</span></label>
                <div class="datePicCont">
                  <div class="dropDown custmdropdwon">
                    <select [(ngModel)]="assignmentDetails.markByListValue" name="markByListValue" id="markByListValue" #markByListValue="ngModel"
                            class="btn-custm">
                      <option>Select markBy </option>
                      <option *ngFor="let value of assignmentMenuDetails.markByLIst " [ngValue]="assignmentDetails.markByListValue">{{value.assignmentEvaluationName}}</option>
                    </select>
                  </div>
               <!--   <span class="alert-msg" *ngIf="markByListValue.touched && markByListValue.invalid">Please select Final Marks by.</span>-->
                </div>
              </div>



              <div class="wid33" [class.has-error]="gradingToolName.touched && gradingToolName.invalid">
                <label for="gradingToolName">GRADING FORMAT<span class="alert-msg">*</span></label>
                <div class="datePicCont">
                  <div class="dropDown custmdropdwon">
                    <select [(ngModel)]="assignmentDetails.gradingToolName" name="gradingToolName" id="gradingToolName" #gradingToolName="ngModel"     class="btn-custm">
                      <option>Select GRADING FORMAT </option>
                      <option *ngFor="let gradingTool of assignmentMenuDetails.gradingTools " [ngValue]="assignmentDetails.gradingToolName">{{gradingTool.gradeName}}</option>
                    </select>
                  </div>
                <!--  <span class="alert-msg" *ngIf="gradingToolName.touched && gradingToolName.invalid">Please select Grading Format.</span>-->
                </div>
              </div>
            </div>
            <div class="row">
              <div class="wid33" [class.has-error]="skillName.touched && skillName.invalid">
                <label for="skillName">ATA SKILLS/CATEGORIES<span class="alert-msg">*</span></label>
                <div class="datePicCont">
                  <div class="dropDown custmdropdwon">
                    <select [(ngModel)]="assignmentDetails.skillName" name="skillName" id="skillName" #skillName="ngModel"    class="btn-custm">
                      <option>Select Category </option>
                      <option  *ngFor="let skill of assignmentMenuDetails.skillDetails " [ngValue]="assignmentDetails.skillName">{{skill.assignmentSkillDetailName}}</option>
                    </select>
                  </div>
                 <!-- <span class="alert-msg" *ngIf="skillName.touched && skillName.invalid">Please select Skills/Category.</span>-->
                </div>
              </div>
              <div class="wid33" [class.has-error]="gradeBy.touched && gradeBy.invalid">
                <label for="gradeBy">Grade by<span class="alert-msg">*</span></label>
                <div class="datePicCont">
                  <div class="dropDown custmdropdwon">
                    <select [(ngModel)]="assignmentDetails.gradeBy" name="gradeBy" id="gradeBy" #gradeBy="ngModel"      class="btn-custm">
                      <option>Select Grade by</option>
                      <option *ngFor="let grade of assignmentMenuDetails.gradeType " [ngValue]="assignmentDetails.gradeBy">{{grade.gradingName}}</option>

                    </select>
                  </div>
                <!--  <span class="alert-msg" *ngIf="gradeBy.touched && gradeBy.invalid">Please select Grade by.</span>-->
                </div>
              </div>
            </div>

            <div class="row">
              <div class="wid33" [class.has-error]="splitBoardDetails.touched && splitBoardDetails.invalid">
                <label for="splitBoardDetails">Split Board Details<span class="alert-msg">*</span></label>
                <div class="datePicCont">
                  <div class="dropDown custmdropdwon">
                    <select [(ngModel)]="assignmentDetails.splitBoardDetails" name="splitBoardDetails" id="splitBoardDetails" #splitBoardDetails="ngModel"   class="btn-custm">
                      <option>Select Split Board</option>
                      <option *ngFor="let spliBoard of assignmentMenuDetails.splitBoardDetails " [ngValue]="assignmentDetails.splitBoardDetails">{{spliBoard.assignmentSplitBoardName}}</option>
                    </select>
                  </div>
                 <!-- <span class="alert-msg" *ngIf="splitBoardDetails.touched && splitBoardDetails.invalid">Please Split Board.</span>-->
                </div>
              </div>
              <div class="wid33" [class.has-error]="levelOfProficiency.touched && levelOfProficiency.invalid">
                <label for="levelOfProficiency">Levels of proficieny <span class="alert-msg">*</span></label>
                <div class="datePicCont">
                  <div class="dropDown custmdropdwon">
                    <select [(ngModel)]="assignmentDetails.levelOfProficiency" name="levelOfProficiency" id="levelOfProficiency" #levelOfProficiency="ngModel"    class="btn-custm">
                      <option>Select Level Of Proficiency</option>
                      <option *ngFor="let levelOfProficiecy of assignmentMenuDetails.levelOfProficiency " [ngValue]="assignmentDetails.levelOfProficiency">{{levelOfProficiecy.assignmentLevelOfProficiencyName}}</option>
                    </select>
                  </div>
                 <!-- <span class="alert-msg" *ngIf="levelOfProficiency.touched && levelOfProficiency.invalid">Please select Level Of Proficiency.</span>-->
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
    <div class="wid40">
      <div class=" uploadFloorBtn fileUpload">
        <div class="plusBtn"> <input type="file" name="multiplefile" ng2FileSelect [uploader]="uploader" multiple /><br/></div>
        <p>Drag your file here or browse for
          an image to upload.</p>
      </div>
      <div class="fileUploadStatus">
        <!--<h4>Attachments</h4>-->
        <table class="table">
          <thead>
          <!-- <tr>
             <th width="50%">Name</th>
             <th>Progress</th>
             <th>Actions</th>
           </tr>-->
          </thead>
          <tbody>
          <tr *ngFor="let item of uploader.queue">
            <td>
              <p class="title">{{ item?.file?.name }}</p>
              <span class="progDive">
                <!--  <span><em style="width:{{item.progress}}%"></em></span>-->
                  <div class="progress-bar" role="progressbar" [ngStyle]="{ 'width': item.progress + '%' }"></div>
                </span>
            </td>
            <!--<td class="wid30">
              <p class="fsize pull-right"  *ngIf="item.isSuccess" >Uploaded</p>
            </td>-->
            <td class="wid30 text-right">
              <button type="button" class="Custmbtn"
                      (click)="item.upload()" [disabled]="item.isReady || item.isUploading || item.isSuccess">
                <span class="tick"></span>
              </button>
              <button type="button" class="Custmbtn"
                      (click)="item.remove()">
                <span class="closeBtn"></span>
              </button>
            </td>
          </tr>
          </tbody>
        </table>

      </div>
    </div>

    <div class="nav">

      <div class="pull-right">
        <button class="btn btn-defult" (click)="navigateToDashboard()" >Back</button>

        <button class="btn btn-cyean" *ngIf="!isEditMode" (click)="submitAssignmetDetails()"

                [disabled]="!Assignment.form.valid ">Next</button>
        <button class="btn btn-cyean"  *ngIf="isEditMode" (click)="UpdateAssignmetDetails()" >Update</button>
      </div>
    </div>

  </div>
</div>
<!--
moveToCreateGroup();-->



<script>
  alert("here")
  $(document).ready(function() {
    $('.test').fSelect();
    $(".datePicker").datepicker();

    console.log(">>>>>>>>>>>>>" +$(".datePicker").length)
  });
</script>
